4

I've installed gnome desktop and now I don't have unity desktop.

How can I reinstall it?

  • 1
    You have to remove gnome-shell and re-install unity. Last time I checked this was not possible without re-installing all of ubuntu. You can try this link - askubuntu.com/questions/396280/… – Panther May 8 '14 at 14:59
  • How did you actually remove unity? – xangua May 8 '14 at 15:01
  • Perhaps this answer can also be useful askubuntu.com/questions/313126/… – TuKsn May 8 '14 at 15:01
  • I did not remove it, after restarting the computer I could no longer use ubuntu desktop. – SamuelNLP May 8 '14 at 15:02
7

Type the following in a Terminal:

sudo apt-get update
sudo apt-get install ubuntu-desktop

Now reboot and you should have the Unity desktop environment installed.

| improve this answer | |
  • 2
    I get, The following packages have unmet dependencies: ubuntu-desktop : Depends: ubuntu-session but it is not going to be installed Depends: unity-control-center but it is not going to be installed Depends: unity-settings-daemon but it is not going to be installed Recommends: xul-ext-webaccounts but it is not going to be installed E: Unable to correct problems, you have held broken packages. – SamuelNLP May 8 '14 at 15:04
  • Same error here :/ – Fernando Paladini May 24 '14 at 12:19
  • 1
    Why not add the dependencies to the command? Like sudo apt-get install ubuntu-desktop ubuntu-session unity-control-center unity-settings-daemon xul-ext-webaccounts or something. – dantis Oct 24 '14 at 10:36
  • use aptitude to resolve conflicts – UXkQEZ7 Sep 27 '15 at 20:53
6

For dependencies after installing something else try

sudo apt-get check
sudo apt-get install -f

It should repair all problems with dependencies or errors

Edit:

Check this link about installing multiple environments

Check this AskUbuntu either, maybe it could help you

| improve this answer | |
  • 1
    it did not help. still the messages I posted in the other answer. – SamuelNLP May 8 '14 at 15:11
  • Can you run recovery mode option from grub menu ? Maybe it helps, dont know. Never got a problem with installing things on Linux. – Fernando May 8 '14 at 15:16
  • No. In synaptic when trying to install ubuntu-desktop I get E: Unable to correct problems, you have held broken packages. E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages. E: Unable to correct dependencies E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages. E: Unable to correct dependencies – SamuelNLP May 8 '14 at 15:17
  • the same as when you use dpkg -i package.deb – fiorentinoing Jun 8 '17 at 10:13

Not the answer you're looking for? Browse other questions tagged or ask your own question.